Bug 639088 - Screen goes black between Plymouth and X
Screen goes black between Plymouth and X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 15:24 EDT by Ira Malinich
Modified: 2012-08-16 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log file (95.88 KB, text/plain)
2010-09-30 20:47 EDT, Ira Malinich
no flags Details
/var/log/messages (173.50 KB, text/plain)
2010-09-30 20:49 EDT, Ira Malinich
no flags Details
Output of dmesg (38.35 KB, text/plain)
2010-09-30 20:50 EDT, Ira Malinich
no flags Details
Xorg log (59.62 KB, text/plain)
2011-01-20 12:55 EST, Iván Jiménez
no flags Details
messages log (1.04 MB, text/plain)
2011-01-20 12:56 EST, Iván Jiménez
no flags Details
dmesg output (82.64 KB, text/plain)
2011-01-20 13:11 EST, Iván Jiménez
no flags Details

  None (edit)
Description Ira Malinich 2010-09-30 15:24:59 EDT
Description of problem:
After the Plymouth progress animation completes the screen goes black and several seconds later the mouse cursor shows up over the black background.

Version-Release number of selected component (if applicable):
kernel-2.6.35.6-34.fc14.x86_64
xorg-x11-drv-intel-2.12.0-6.fc14.x86_64

How reproducible:
Consistently

Steps to Reproduce:
1.  Boot from F14 Graphics Test Day LiveCD
  
Actual results:
Screen goes black between Plymouth and X startup

Expected results:
Plymouth's animation should remain on the screen until a desktop background is drawn overtop, with no flicker or black background in between.

Additional info:
My hardware:  http://www.smolts.org/client/show/pub_ec55aaca-dd7a-40d0-9414-ecf2fac1897d
Comment 1 Matěj Cepl 2010-09-30 16:40:38 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ira Malinich 2010-09-30 20:47:32 EDT
Created attachment 450920 [details]
Xorg log file

I'm using the Graphics Test Day LiveCD, which doesn't have a /etc/X11/xorg.conf file, but here's the Xorg log.
Comment 3 Ira Malinich 2010-09-30 20:49:47 EDT
Created attachment 450921 [details]
/var/log/messages
Comment 4 Ira Malinich 2010-09-30 20:50:32 EDT
Created attachment 450923 [details]
Output of dmesg
Comment 5 Adam Williamson 2010-10-06 19:10:00 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Iván Jiménez 2011-01-19 22:00:18 EST
I see this bug on two machines with f14; a dell dimension 530 desktop and a dell inspiron mini netbook. The desktop has a gma 3100 and the netbook has a gma 3150 (pineview).

netbook's lspci:
00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
07:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

I'll boot with drm.debug=0x04 and post the results.
Comment 7 Matěj Cepl 2011-01-20 09:09:37 EST
(In reply to comment #0)
> Description of problem:
> After the Plymouth progress animation completes the screen goes black and
> several seconds later the mouse cursor shows up over the black background.

Just to be sure, we are on the same page in terms of severity of the bug ... and after that the login manager jumps and everything works well? So, this is just a cosmetic issue about black screen in between plymouth and gdm?
Comment 8 Iván Jiménez 2011-01-20 12:43:02 EST
(In reply to comment #7)
> (In reply to comment #0)
> > Description of problem:
> > After the Plymouth progress animation completes the screen goes black and
> > several seconds later the mouse cursor shows up over the black background.
> 
> Just to be sure, we are on the same page in terms of severity of the bug ...
> and after that the login manager jumps and everything works well? So, this is
> just a cosmetic issue about black screen in between plymouth and gdm?

In my case, yes. Everything works fine after the black screen, it just makes the boot process less polished. I'll attach the info requested in comment 1.
Comment 9 Iván Jiménez 2011-01-20 12:55:00 EST
Created attachment 474507 [details]
Xorg log
Comment 10 Iván Jiménez 2011-01-20 12:56:51 EST
Created attachment 474509 [details]
messages log
Comment 11 Iván Jiménez 2011-01-20 13:11:57 EST
Created attachment 474510 [details]
dmesg output
Comment 12 Ira Malinich 2011-01-20 13:43:27 EST
It does manifest as a cosmetic bug in my case as well.  As the filer of the bug though, my concern was that it might be an indication of a larger problem.  Based on my understanding of KMS, one of its primary purposes is to eliminate unnecessary mode changes.  This cutting to a black screen would seem to imply that a mode change is happening anyway.
Comment 13 Fedora End Of Life 2012-08-16 12:58:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.